public class rankine_cevrimi
{
double T[];
double P[];
double v[];
double h[];
double s[];
double x[];
double Wnet;
double Wturbin;
double Wpompa;
double Qin;
double Qout;
double etacevrim;
double m;
steam st;
public rankine_cevrimi(double mi,double T1,double P1,double P2,double etat,double etap)
{st=new steam();
 P=new double[9];
 T=new double[9];
 v=new double[9];
 h=new double[9];
 s=new double[9];
 x=new double[9];
 m=mi;
 //türbin girişi
 T[1]=T1;
 P[1]=P1;
 double a1[]=st.property("tp",T[1],P[1]);
 v[1]=a1[2];
 h[1]=a1[3];
 s[1]=a1[5];
 //2i=7 isentropik türbin çıkışı
 s[7]=s[1];
 P[7]=P2;
 double a2i[]=st.property("ps",P[7],s[7]);
 T[7]=a2i[1];
 h[7]=a2i[3];
 v[7]=a2i[2];
 //2 noktası türbin çıkışı
 h[2]=h[1]-etat*(h[1]-h[7]);
 P[2]=P2;
 double a2[]=st.property("ph",P[2],h[2]);
 T[2]=a2[1];
 v[2]=a2[2];
 s[2]=a2[5];
 //3 noktası kondenser çıkışı
 P[3]=P2;
 x[3]=0.0;
 double a3[]=st.property("px",P[3],x[3]);
 T[3]=a3[1];
 v[3]=a3[2];
 h[3]=a3[3];
 s[3]=a3[5];
 //0 noktası kondenser sıvılaşma başlangıç x=1
 P[0]=P2;
 x[0]=1.0;
 double a0[]=st.property("px",P[0],x[0]);
 T[0]=a0[1];
 v[0]=a0[2];
 h[0]=a0[3];
 s[0]=a0[5];
 //4i=8 pompa isentropik çıkış
 s[8]=s[3];
 P[8]=P1;
 double a8[]=st.property("ps",P[8],s[8]);
 T[8]=a8[1];
 v[8]=a8[2];
 h[8]=a8[3];
 //4 pompa çıkışı
 h[4]=h[3]+(h[8]-h[3])/etap;
 P[4]=P1;
 double a4[]=st.property("ph",P[4],h[4]);
 T[4]=a4[1];
 v[4]=a4[2];
 h[4]=a4[3];
 //5 noktası kazan kaynama başlangıcı
 x[5]=0;
 P[5]=P1;
 double a5[]=st.property("px",P[5],x[5]);
 T[5]=a5[1];
 v[5]=a5[2];
 h[5]=a5[3];
 s[5]=a5[5];
 //6 noktası kazan kaynama bitişi
 x[6]=1.0;
 P[6]=P1;
 double a6[]=st.property("px",P[6],x[6]);
 T[6]=a6[1];
 v[6]=a6[2];
 h[6]=a6[3];
 s[6]=a6[5];
 //Termodinamik hesaplar
 Wturbin=m*(h[1]-h[2]);
 Wpompa=m*(h[4]-h[3]);
 Wnet=Wturbin-Wpompa;
 Qin=m*(h[1]-h[4]);
 Qout=m*(h[2]-h[3]);
 etacevrim=Wnet/Qin;
}
public String toString()
{
String s1[]={"0 noktası kondenser sıvılaşma başlangıç x=1",
"türbin girişi","2 noktası türbin çıkışı","3 noktası kondenser çıkışı",
"4 pompa çıkışı","5 noktası kazan kaynama başlangıcı","6 noktası kazan kaynama bitişi",
"2i=7 isentropik türbin çıkışı","4i=8 pompa isentropik çıkış"};
String s2="";
for(int i=0;i<T.length;i++)
{s2+=s1[i]+"\n"+P[i]+"bar\n"+T[i]+"derece C\n"+v[i]+"m^3/kg\n"+h[i]+"KJ/kg\n"+s[i]+"KJ/kgK\n";}
s2+="Wturbin = "+Wturbin+" KW\n";
s2+="Wpompa = "+Wpompa+" KW\n";
s2+="Wnet = "+Wnet+" KW\n";
s2+="Wkazan = "+Qin+" KW\n";
s2+="Wkondenser= "+Qout+" KW\n";
s2+="eta çevrim verimi = "+etacevrim+"\n";
return s2;
}
}